/*****************************************************************************/
/*
                                  StmLF.h
*/
/*****************************************************************************/

#ifndef STMLF_H_LOADED
#define STMLF_H_LOADED 1

#include "wasd.h"

/**************/
/* structures */
/**************/

struct StreamLfStruct
{
   boolean  ConversionOk,
            DstFileCreated;
   int  PurgeAttemptCount;
   char  Buffer [4096],
         DstExpandedFileName [256],
         DstRelatedFileName [256],
         FileName [256],
         SrcExpandedFileName [256];
   struct FAB  SrcFileFab;
   struct NAM  SrcFileNam;
   struct RAB  SrcFileRab;
   struct FAB  DstFileFab;
   struct NAM  DstFileNam;
   struct RAB  DstFileRab;
};

/***********************/
/* function prototypes */
/***********************/

StmLfBegin (char*, char*, int, boolean);
StmLfEnd (struct StreamLfStruct*);
StmLfNextRecord (struct RAB*); 
StmLfNextRecordAst (struct RAB*); 
StmLfLog (struct StreamLfStruct*, char*, int);

#endif /* STMLF_H_LOADED */

/*****************************************************************************/
