/*****************************************************************************/
/*
                                  Config.h

Function prototypes for configuration module.

*/
/*****************************************************************************/

#ifndef CONFIG_H_LOADED
#define CONFIG_H_LOADED 1

#include "wasd.h"

/**************/
/* structures */
/**************/

/* see wasd.h */

/***********************/
/* function prototypes */
/***********************/

Configure (struct ConfigStruct*);
boolean ConfigAcceptClientHostName (char*, char*);
ConfigAddType (struct ConfigStruct*, char*);
char* ConfigCommaList (struct RequestStruct*, char*, char);
char* ConfigContentType (struct ContentTypeStruct*, char*);
ConfigContentTypeIcon (struct ConfigStruct*);
char* ConfigHomePage (int);
ConfigAddIcon (struct ConfigStruct*, char*);
char* ConfigIconFor (char*);
char* ConfigReadMeFile (int);
ConfigReport (struct RequestStruct*, void*, boolean);
ConfigRevise (struct RequestStruct*, void*, boolean);
boolean ConfigSameContentType (char*, char*, int);
ConfigSetAccept (struct ConfigStruct*, char*);
ConfigSetCommaList (struct ConfigStruct*, char*, char**, int*);
ConfigSetDirReadMe (struct ConfigStruct*, char*);
ConfigSetDirReadMeFile (struct ConfigStruct*, char*);
ConfigSetReject (struct ConfigStruct*, char*);
ConfigSetWelcome (struct ConfigStruct*, char*);

#endif /* CONFIG_H_LOADED */

/*****************************************************************************/
