/****************************************************************************/
/*
                             ProxyCache.h


08-AUG-1998  MGD  initial
*/
/****************************************************************************/

#ifndef PROXYCACHE_H_LOADED
#define PROXYCACHE_H_LOADED 1

#include "proxystruct.h"

#define PROXY_CACHE_DEVICE  "HT_CACHE_ROOT:"
#define PROXY_CACHE_ROOT    PROXY_CACHE_DEVICE "["
#define PROXY_CACHE_SPEC    PROXY_CACHE_ROOT "000000...]*.HTC;*"

/* function prototypes */
ProxyCacheCloseAst_NetWrite (struct FAB*);
ProxyCacheCloseAst_ProxyEnd (struct FAB*);
ProxyCacheEnd (struct ProxyTaskStruct*);
ProxyCacheInit (boolean);
ProxyCacheInitPurgeList ();
ProxyCacheLoadBegin (struct ProxyTaskStruct*);
ProxyCacheLoadConnect (struct FAB*);
ProxyCacheLoadConnectAst (struct RAB*);
ProxyCacheLoadWrite (struct ProxyTaskStruct*);
ProxyCacheLoadWriteAst (struct RAB*);
boolean ProxyCachePurgeLimit (int, int);
ProxyCacheInitReloadList ();
boolean ProxyCacheReloadLimit (int, int);
ProxyCacheReadAcpInfo (struct FAB*);
ProxyCacheReadAcpInfoAst (struct ProxyTaskStruct*);
ProxyCacheReadConnect (struct FAB*);
ProxyCacheReadConnectAst (struct RAB*);
ProxyCacheReadNext (struct RequestStruct*);
ProxyCacheReadNextAst (struct RAB*);
ProxyCacheSetLastAccessed (struct NAM*, unsigned long*, unsigned long*);
ProxyCacheSetLastAccessedAst (struct ProxyCacheFileAcpStruct*);

#endif /* PROXYCACHE_H_LOADED */

/****************************************************************************/
